## GcalWeekGrid GcalWeekGrid |

## Functions

void | gcal_week_grid_set_manager ()
void | gcal_week_grid_set_first_weekday ()
void | gcal_week_grid_set_use_24h_format ()
void | gcal_week_grid_add_event ()
void | gcal_week_grid_remove_event ()
GList * | gcal_week_grid_get_children_by_uuid ()
void | gcal_week_grid_clear_marks ()

## Signals

void | event-activated | Run First

## Types and Values

#define | GCAL_TYPE_WEEK_GRID
| GcalWeekGrid

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GcalWeekGrid

## Implemented Interfaces

GcalWeekGrid implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### gcal_week_grid_set_manager ()

    void
    gcal_week_grid_set_manager (GcalWeekGrid *week_grid,
                                GcalManager *manager);

### gcal_week_grid_set_first_weekday ()

    void
    gcal_week_grid_set_first_weekday (GcalWeekGrid *week_grid,
                                      gint nr_day);

### gcal_week_grid_set_use_24h_format ()

    void
    gcal_week_grid_set_use_24h_format (GcalWeekGrid *week_grid,
                                       gboolean use_24h_format);

### gcal_week_grid_add_event ()

    void
    gcal_week_grid_add_event (GcalWeekGrid *self,
                              GcalEvent *event);

### gcal_week_grid_remove_event ()

    void
    gcal_week_grid_remove_event (GcalWeekGrid *self,
                                 const gchar *uid);

### gcal_week_grid_get_children_by_uuid ()

    GList *
    gcal_week_grid_get_children_by_uuid (GcalWeekGrid *self,
                                         GcalRecurrenceModType mod,
                                         const gchar *uid);

### gcal_week_grid_clear_marks ()

    void
    gcal_week_grid_clear_marks (GcalWeekGrid *self);

## Types and Values

### GCAL_TYPE_WEEK_GRID

    #define GCAL_TYPE_WEEK_GRID (gcal_week_grid_get_type())

### GcalWeekGrid

    typedef struct _GcalWeekGrid GcalWeekGrid;

## Signal Details

### The `“event-activated”` signal

    void
    user_function (GcalWeekGrid    *gcalweekgrid,
                   GcalEventWidget *arg1,
                   gpointer         user_data)

Flags: Run First